> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List recording transcriptions

> Returns multiple recording transcription resources for an account.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/texml/transcriptions.yml get /texml/Accounts/{account_sid}/Transcriptions.json
openapi: 3.1.0
info:
  title: Telnyx TeXML Calls API
  version: 2.0.0
  description: API for managing TeXML Transcriptions.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
tags:
  - name: Command
    description: TeXML command operations
  - name: Callbacks
    description: Webhook callbacks for call events
paths:
  /texml/Accounts/{account_sid}/Transcriptions.json:
    get:
      tags:
        - TeXML REST Commands
      summary: List recording transcriptions
      description: Returns multiple recording transcription resources for an account.
      operationId: GetTeXMLRecordingTranscriptions
      parameters:
        - $ref: '#/components/parameters/AccountSid'
        - $ref: '#/components/parameters/PageToken'
        - $ref: '#/components/parameters/PageSize'
      responses:
        '200':
          description: Successful list Recording Transcriptions Response
          content:
            application/json:
              schema:
                type: object
                title: List Recording Transcriptions Response
                properties:
                  transcriptions:
                    type: array
                    items:
                      $ref: '#/components/schemas/TexmlRecordingTranscription'
                  end:
                    type: integer
                    description: The number of the last element on the page, zero-indexed
                    example: 1
                  first_page_uri:
                    type: string
                    format: uri
                    description: Relative uri to the first page of the query results
                  previous_page_uri:
                    type: string
                    format: uri
                    description: Relative uri to the previous page of the query results
                  next_page_uri:
                    type: string
                    description: Relative uri to the next page of the query results
                    example: >-
                      /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Transcriptions.json?PageToken=KRWXZPO&PageSize=1
                  page:
                    type: integer
                    description: Current page number, zero-indexed.
                    example: 0
                  page_size:
                    type: integer
                    description: The number of items on the page
                    example: 20
                  start:
                    type: integer
                    description: The number of the first element on the page, zero-indexed.
                    example: 0
                  uri:
                    type: string
                    description: The URI of the current page.
                    example: >-
                      /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Transcriptions.json?PageToken=YTBNAXPI&PageSize=1
        '404':
          $ref: '#/components/responses/call-scripting_NotFoundResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.texml.accounts.retrieveTranscriptionsJson('account_sid');


            console.log(response.end);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.texml.accounts.retrieve_transcriptions_json(
                account_sid="account_sid",
            )
            print(response.end)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Texml.Accounts.GetTranscriptionsJson(\n\t\tcontext.TODO(),\n\t\t\"account_sid\",\n\t\ttelnyx.TexmlAccountGetTranscriptionsJsonParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.End)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.texml.accounts.AccountRetrieveTranscriptionsJsonParams;

            import
            com.telnyx.sdk.models.texml.accounts.AccountRetrieveTranscriptionsJsonResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    AccountRetrieveTranscriptionsJsonResponse response = client.texml().accounts().retrieveTranscriptionsJson("account_sid");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.texml.accounts.retrieve_transcriptions_json("account_sid")


            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->texml->accounts->retrieveTranscriptionsJson(
                'account_sid', pageSize: 0, pageToken: 'PageToken'
              );

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx texml:accounts retrieve-transcriptions-json \
              --api-key 'My API Key' \
              --account-sid account_sid
components:
  parameters:
    AccountSid:
      name: account_sid
      in: path
      required: true
      description: The id of the account the resource belongs to.
      schema:
        type: string
    PageToken:
      name: PageToken
      in: query
      required: false
      description: Used to request the next page of results.
      schema:
        type: string
    PageSize:
      name: PageSize
      in: query
      required: false
      description: The number of records to be displayed on a page
      schema:
        type: integer
      example: 10
  schemas:
    TexmlRecordingTranscription:
      type: object
      title: Texml Get Call Recording Transcription Response Body
      properties:
        account_sid:
          $ref: '#/components/schemas/AccountSid'
        call_sid:
          $ref: '#/components/schemas/CallControlId'
        api_version:
          type: string
          description: The version of the API that was used to make the request.
          example: '2010-04-01'
        date_created:
          $ref: '#/components/schemas/DateTimeRFC2822'
        date_updated:
          $ref: '#/components/schemas/DateTimeRFC2822'
        duration:
          $ref: '#/components/schemas/TexmlRecordingDuration'
        sid:
          $ref: '#/components/schemas/TexmlSid'
        recording_sid:
          $ref: '#/components/schemas/TexmlSid'
        status:
          type: string
          description: >-
            The status of the recording transcriptions. The transcription text
            will be available only when the status is completed.
          enum:
            - in-progress
            - completed
          example: completed
        transcription_text:
          type: string
          description: The recording's transcribed text
          example: Good morning, how may I help you?
        uri:
          type: string
          description: The relative URI for the recording transcription resource.
          example: >-
            /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Transcriptions/b08f0fa1-a32c-4218-b3b5-9cf78941ccac.json
    AccountSid:
      type: string
      example: 61bf923e-5e4d-4595-a110-56190ea18a1b
    CallControlId:
      type: string
      example: v3:KBnLO0ZK3DhKM5s7bE9VluaSmKsOchKht_fUYvxcp8ysbmzCCtpkmA
    DateTimeRFC2822:
      type: string
      format: date-time
      example: '2023-08-11T19:12:11Z'
    TexmlRecordingDuration:
      type:
        - string
        - 'null'
      description: The duration of this recording, given in seconds.
      example: '12'
    TexmlSid:
      type: string
      description: Identifier of a resource.
      example: e9cea0be-7dbd-4b98-98b1-c0089d9d43b0
    call-scripting_ResourceNotFoundError:
      type: object
      title: Resource not found
      example:
        errors:
          - detail: Resource not found
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
  responses:
    call-scripting_NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-scripting_ResourceNotFoundError'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````